POST
/serving/inference/{inference_id}/alerts/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/alerts/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "alert_id": "44"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/alerts/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "alert_id": "44", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/alerts/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "alert_id": "44" }),});console.log(await response.json());Attach an existing alert to a model endpoint.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”inference_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
alert_id
required
The ID of the alert to attach to the model endpoint.
string
Example
{ "alert_id": "44"}Responses
Section titled “Responses”Alert attached to the model endpoint successfully.
Media typeapplication/json
object
code
integer
data
object
id
Attachment record ID. Use this to detach the alert.
integer
inference
integer
inference_name
string
alert
object
id
integer
name
string
location
string
resource_type
string
metric_type
string
metric_type_unit
string
operator
string
threshold_value
number
severity
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
alert_name
string
grafana_rule_uid
string
created_at
string format: date-time
updated_at
string format: date-time
errors
object
message
string
Example
{ "code": 200, "message": "Success"}